deb-pkg: Add support for powerpc little endian

Subsystems: kernel build + files below scripts/ (unless maintained elsewhere), the rest

7 messages, 6 authors, 2014-09-12 · open the first message on its own page

deb-pkg: Add support for powerpc little endian

From: Michael Neuling <hidden>
Date: 2014-09-05 05:28:52

The Debian powerpc little endian architecture is called ppc64le.  This
is the default architecture used by Ubuntu for powerpc.

The below checks the kernel config to see if we are compiling little
endian and sets the Debian arch appropriately.

Signed-off-by: Michael Neuling <redacted>
diff --git a/scripts/package/builddeb b/scripts/package/builddeb
index 35d5a58..6f4a1af 100644
--- a/scripts/package/builddeb
+++ b/scripts/package/builddeb
@@ -37,7 +37,7 @@ create_package() {
 	s390*)
 		debarch=3Ds390$(grep -q CONFIG_64BIT=3Dy $KCONFIG_CONFIG && echo x || tr=
ue) ;;
 	ppc*)
-		debarch=3Dpowerpc ;;
+		debarch=3D$(grep -q CPU_LITTLE_ENDIAN=3Dy $KCONFIG_CONFIG && echo ppc64e=
l || echo powerpc) ;;
 	parisc*)
 		debarch=3Dhppa ;;
 	mips*)

Re: deb-pkg: Add support for powerpc little endian

From: Gabriel Paubert <hidden>
Date: 2014-09-05 07:50:52

On Fri, Sep 05, 2014 at 03:28:47PM +1000, Michael Neuling wrote:
The Debian powerpc little endian architecture is called ppc64le.  This
Huh? ppc64le or ppc64el?
quoted hunk
is the default architecture used by Ubuntu for powerpc.

The below checks the kernel config to see if we are compiling little
endian and sets the Debian arch appropriately.

Signed-off-by: Michael Neuling <redacted>
diff --git a/scripts/package/builddeb b/scripts/package/builddeb
index 35d5a58..6f4a1af 100644
--- a/scripts/package/builddeb
+++ b/scripts/package/builddeb
@@ -37,7 +37,7 @@ create_package() {
 	s390*)
 		debarch=s390$(grep -q CONFIG_64BIT=y $KCONFIG_CONFIG && echo x || true) ;;
 	ppc*)
-		debarch=powerpc ;;
+		debarch=$(grep -q CPU_LITTLE_ENDIAN=y $KCONFIG_CONFIG && echo ppc64el || echo powerpc) ;;
 	parisc*)
 		debarch=hppa ;;
 	mips*)

	Gabriel

[PATCH v2] deb-pkg: Add support for powerpc little endian

From: Michael Neuling <hidden>
Date: 2014-09-05 07:55:22

On Fri, 2014-09-05 at 09:13 +0200, Gabriel Paubert wrote:
On Fri, Sep 05, 2014 at 03:28:47PM +1000, Michael Neuling wrote:
quoted
The Debian powerpc little endian architecture is called ppc64le.  This
=20
Huh? ppc64le or ppc64el?
ppc64el.  Commit message is wrong.  Fixed below.

Mikey


From: Michael Neuling <redacted>

deb-pkg: Add support for powerpc little endian

The Debian powerpc little endian architecture is called ppc64el.  This
is the default architecture used by Ubuntu for powerpc.

The below checks the kernel config to see if we are compiling little
endian and sets the Debian arch appropriately.

Signed-off-by: Michael Neuling <redacted>
diff --git a/scripts/package/builddeb b/scripts/package/builddeb
index 35d5a58..6f4a1af 100644
--- a/scripts/package/builddeb
+++ b/scripts/package/builddeb
@@ -37,7 +37,7 @@ create_package() {
 	s390*)
 		debarch=3Ds390$(grep -q CONFIG_64BIT=3Dy $KCONFIG_CONFIG && echo x || tr=
ue) ;;
 	ppc*)
-		debarch=3Dpowerpc ;;
+		debarch=3D$(grep -q CPU_LITTLE_ENDIAN=3Dy $KCONFIG_CONFIG && echo ppc64e=
l || echo powerpc) ;;
 	parisc*)
 		debarch=3Dhppa ;;
 	mips*)

Re: [PATCH v2] deb-pkg: Add support for powerpc little endian

From: Thadeu Lima de Souza Cascardo <hidden>
Date: 2014-09-05 12:09:38

On Fri, Sep 05, 2014 at 05:55:18PM +1000, Michael Neuling wrote:
On Fri, 2014-09-05 at 09:13 +0200, Gabriel Paubert wrote:
quoted
On Fri, Sep 05, 2014 at 03:28:47PM +1000, Michael Neuling wrote:
quoted
The Debian powerpc little endian architecture is called ppc64le.  This
Huh? ppc64le or ppc64el?
ppc64el.  Commit message is wrong.  Fixed below.

Mikey
What about ppc64?

Also, I sent that already a month ago. Both linuxppc-dev and Michal
Marek were on cc.

http://marc.info/?l=linux-kernel&m=140744360328562&w=2

Cascardo.
quoted hunk
From: Michael Neuling <redacted>

deb-pkg: Add support for powerpc little endian

The Debian powerpc little endian architecture is called ppc64el.  This
is the default architecture used by Ubuntu for powerpc.

The below checks the kernel config to see if we are compiling little
endian and sets the Debian arch appropriately.

Signed-off-by: Michael Neuling <redacted>
diff --git a/scripts/package/builddeb b/scripts/package/builddeb
index 35d5a58..6f4a1af 100644
--- a/scripts/package/builddeb
+++ b/scripts/package/builddeb
@@ -37,7 +37,7 @@ create_package() {
 	s390*)
 		debarch=s390$(grep -q CONFIG_64BIT=y $KCONFIG_CONFIG && echo x || true) ;;
 	ppc*)
-		debarch=powerpc ;;
+		debarch=$(grep -q CPU_LITTLE_ENDIAN=y $KCONFIG_CONFIG && echo ppc64el || echo powerpc) ;;
 	parisc*)
 		debarch=hppa ;;
 	mips*)


_______________________________________________
Linuxppc-dev mailing list
Linuxppc-dev@lists.ozlabs.org
https://lists.ozlabs.org/listinfo/linuxppc-dev

Re: [PATCH v2] deb-pkg: Add support for powerpc little endian

From: Josh Boyer <hidden>
Date: 2014-09-05 12:14:19

On Fri, Sep 5, 2014 at 3:55 AM, Michael Neuling [off-list ref] wrote:
On Fri, 2014-09-05 at 09:13 +0200, Gabriel Paubert wrote:
quoted
On Fri, Sep 05, 2014 at 03:28:47PM +1000, Michael Neuling wrote:
quoted
The Debian powerpc little endian architecture is called ppc64le.  This
Huh? ppc64le or ppc64el?
ppc64el.  Commit message is wrong.  Fixed below.
Yay!  Just like every other architecture, we continue to have the deb
based distros call it one thing, and the RPM based distros call it
another.  At least we're consistent in our inconsistency.

josh

Re: [PATCH v2] deb-pkg: Add support for powerpc little endian

From: Ben Hutchings <hidden>
Date: 2014-09-07 02:42:36

On Fri, 2014-09-05 at 09:09 -0300, Thadeu Lima de Souza Cascardo wrote:
On Fri, Sep 05, 2014 at 05:55:18PM +1000, Michael Neuling wrote:
quoted
On Fri, 2014-09-05 at 09:13 +0200, Gabriel Paubert wrote:
quoted
On Fri, Sep 05, 2014 at 03:28:47PM +1000, Michael Neuling wrote:
quoted
The Debian powerpc little endian architecture is called ppc64le.  This
Huh? ppc64le or ppc64el?
ppc64el.  Commit message is wrong.  Fixed below.

Mikey
What about ppc64?

Also, I sent that already a month ago. Both linuxppc-dev and Michal
Marek were on cc.

http://marc.info/?l=linux-kernel&m=140744360328562&w=2
Anyone using powerpc (32-bit) will then need to add ppc64 as a foreign
architecture before they can install a 64-bit custom kernel.  This is
fine in principle, except that ppc64 is not an official Debian port and
its packages are not mirrored on the same servers.

I just tried something similar, which is to add x32 (also unofficial) as
an alternate architecture to my biarch x86 system.  APT now complains:

W: Failed to fetch http://http.debian.net/debian/dists/experimental/InRelease  Unable to find expected entry 'main/binary-x32/Packages' in Release file (Wrong sources.list entry or malformed file)

W: Failed to fetch http://http.debian.net/debian/dists/sid/Release  Unable to find expected entry 'main/binary-x32/Packages' in Release file (Wrong sources.list entry or malformed file)

W: Failed to fetch http://http.debian.net/debian/dists/testing/Release  Unable to find expected entry 'main/binary-x32/Packages' in Release file (Wrong sources.list entry or malformed file)

W: Failed to fetch http://http.debian.net/debian/dists/wheezy/Release  Unable to find expected entry 'main/binary-x32/Packages' in Release file (Wrong sources.list entry or malformed file)

E: Some index files failed to download. They have been ignored, or old ones used instead.

So I think Michael's version, leaving big-endian kernels as powerpc by
default, is preferable for now.

Ben.

-- 
Ben Hutchings
Experience is directly proportional to the value of equipment destroyed.
                                                         - Carolyn Scheppner

Re: [PATCH v2] deb-pkg: Add support for powerpc little endian

From: Michal Marek <hidden>
Date: 2014-09-12 14:12:27

On 2014-09-07 04:42, Ben Hutchings wrote:
On Fri, 2014-09-05 at 09:09 -0300, Thadeu Lima de Souza Cascardo wrote:
quoted
On Fri, Sep 05, 2014 at 05:55:18PM +1000, Michael Neuling wrote:
quoted
On Fri, 2014-09-05 at 09:13 +0200, Gabriel Paubert wrote:
quoted
On Fri, Sep 05, 2014 at 03:28:47PM +1000, Michael Neuling wrote:
quoted
The Debian powerpc little endian architecture is called ppc64le.  This
Huh? ppc64le or ppc64el?
ppc64el.  Commit message is wrong.  Fixed below.

Mikey
What about ppc64?

Also, I sent that already a month ago. Both linuxppc-dev and Michal
Marek were on cc.

http://marc.info/?l=linux-kernel&m=140744360328562&w=2
Anyone using powerpc (32-bit) will then need to add ppc64 as a foreign
architecture before they can install a 64-bit custom kernel.  This is
fine in principle, except that ppc64 is not an official Debian port and
its packages are not mirrored on the same servers.
[...]
So I think Michael's version, leaving big-endian kernels as powerpc by
default, is preferable for now.
I applied v2 of Michael's patch to kbuild.git#misc.

Michal
Keyboard shortcuts
hback out one level
jnext message in thread
kprevious message in thread
ldrill in
Escclose help / fold thread tree
?toggle this help